/*
 * Created on 2005-05-25
 *
 * Part of the Symbian development plug-in for Eclipse
 * Copyright (C) Mikołaj Zalewski, 2005
 */
package pl.zalewski.mikolaj.symbdev.utils;

/**
 * Miscellanous utility functions
 * 
 * @author mikolaj
 */
public class MiscUtils {

    public MiscUtils() {
        super();
    }
    
    static public String to8DigitHex(int num) {
        String hexRandom=Integer.toHexString(num);
        StringBuffer strbuf=new StringBuffer("0x");
        for (int i=hexRandom.length(); i<8; i++)
            strbuf.append('0');
        strbuf.append(hexRandom);
        return strbuf.toString();
    }

}
